<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="container">
 *
 * @package Unifield
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php endif; ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php
	//wp_body_open hook from WordPress 5.2
	if ( function_exists( 'wp_body_open' ) ) {
	    wp_body_open();
	}
?>
<a class="skip-link screen-reader-text" href="#page_content">
<?php esc_html_e( 'Skip to content', 'unifield' ); ?>
</a>
<div id="pageholder" <?php if( get_theme_mod( 'box_layout' ) ) { echo 'class="boxlayout"'; } ?>>
<div class="header <?php if( !is_front_page() && !is_home() ){ ?>headerinner<?php } ?>">
        <div class="container">
            <div class="logo">
            			<?php unifield_the_custom_logo(); ?>
                        <h1><a href="<?php echo esc_url(home_url('/')); ?>"><?php bloginfo('name'); ?></a></h1>
						<?php $description = get_bloginfo( 'description', 'display' );
                            if ( $description || is_customize_preview() ) : ?>
                                <p><?php echo esc_html($description); ?></p>
                         <?php endif; ?>
            </div><!-- logo -->
             <div class="hdrright">
             <div class="toggle">
                <a class="toggleMenu" href="#"><?php esc_html_e('Menu','unifield'); ?></a>
             </div><!-- toggle --> 
            
            <div class="sitenav">
                    <?php wp_nav_menu(array('theme_location' => 'primary')); ?>
            </div><!-- site-nav -->
            </div>
            <div class="clear"></div>
            
        </div><!-- container -->
  </div><!--.header -->

<?php 
if ( is_front_page() && !is_home() ) {
$hideslide = get_theme_mod('disabled_slides', '1');
if($hideslide == '') {
	for($i=7; $i<=9; $i++) {
	  if( get_theme_mod('page-setting'.$i,false)) {
		$slider_Arr[] = absint( get_theme_mod('page-setting'.$i,true));
	  }
	}
?>                
                
<?php if(!empty($slider_Arr)){ ?>
    <div id="slider" class="nivoSlider">
        <?php 
        $i=1;
        $slidequery = new WP_query( array( 'post_type' => 'page', 'post__in' => $slider_Arr, 'orderby' => 'post__in' ) );
        while( $slidequery->have_posts() ) : $slidequery->the_post();
        $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID)); ?>
        <?php if(!empty($image)){ ?>
        <img src="<?php echo esc_url( $image ); ?>" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
        <?php }else{ ?>
        <img src="<?php echo esc_url( get_template_directory_uri() ) ; ?>/images/slides/slider-default.jpg" title="#slidecaption<?php echo esc_attr( $i ); ?>" alt="<?php echo esc_attr($alt); ?>" />
        <?php } ?>
        <?php $i++; endwhile; ?>
    </div>   

<?php 
$j=1;
$slidequery->rewind_posts();
while( $slidequery->have_posts() ) : $slidequery->the_post(); ?>                 
    <div id="slidecaption<?php echo esc_attr( $j ); ?>" class="nivo-html-caption">
        <div class="slide_info">
            <h2><?php the_title(); ?></h2>
            <p><?php echo esc_html( wp_trim_words( get_the_content(), 20, '' ) );  ?></p> 
            <?php
		 $slider_readmore = get_theme_mod('slider_readmore');
		 if( !empty($slider_readmore) ){ ?>
          <a class="slide_more" href="<?php the_permalink(); ?>"><?php echo esc_html($slider_readmore); ?></a>
	  	 <?php } ?>                 
        </div>
    </div>      
<?php $j++; 
endwhile;
wp_reset_postdata(); ?>   
    
     </div><!--end .slider area-->    
<div class="clear"></div>        
<?php } ?>
<?php } } ?>


 
       
        
<?php if ( is_front_page() && ! is_home() ) { ?>    
    <?php
		$hidewelcome = get_theme_mod('disabled_welcomepg', '1');
		if( $hidewelcome == ''){
      ?>
       <section id="sectiopn-2">   
            	<div class="container">
                   <div class="aboutwrap">                   
					<?php if( get_theme_mod('page-setting1')) { ?>
                          <?php $queryvar = new WP_query('page_id='.absint(get_theme_mod('page-setting1' ,true)) ); ?>
                          <?php while( $queryvar->have_posts() ) : $queryvar->the_post();?> 
                          <h2 class="headingtitle">
                            <?php the_title(); ?>
                          </h2>                        
                          <?php the_content(); ?>                            
                          <?php if(has_post_thumbnail() ) { ?>
                                        <div class="whychooseus-thumbbx"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail();?></a></div>
                                      <?php } ?>
                          <?php endwhile;
                        	    wp_reset_postdata(); ?> 
                           <?php } ?>                                        
              <div class="clear"></div>
               </div><!-- aboutwrap -->
            </div><!-- container -->
       </section>  	
     <?php } ?>
     
	<?php
        $hidepageboxes = get_theme_mod('disabled_pgboxes', '1');
        if( $hidepageboxes == ''){
    ?>  
    <section id="sectiopn-1">
            	<div class="container">
                    <div class="services-wrap">                               
                        <?php for($p=1; $p<5; $p++) { ?>       
                        <?php if( get_theme_mod('page-column'.$p,false)) { ?>          
                            <?php $queryvar = new WP_query('page_id='.absint(get_theme_mod('page-column'.$p,true)) ); ?>				
                                    <?php while( $queryvar->have_posts() ) : $queryvar->the_post(); ?> 
                                    <div class="fourbox <?php if($p % 4 == 0) { echo "last_column"; } ?>">                                    
                                      <?php if(has_post_thumbnail() ) { ?>
                                        <div class="thumbbx"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail();?></a></div>
                                      <?php } ?>
                                     <div class="pagecontent">
                                     <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>                                    
                                     <?php the_excerpt(); ?>
                                    <a class="ReadMore" href="<?php the_permalink(); ?>">                                      
                                     <?php esc_html_e('Read More','unifield'); ?>
                                    </a> 
                                     </div>                                   
                                    </div>
                                    <?php endwhile;
                                   		 wp_reset_postdata(); ?>                                    
                       				<?php } } ?>                                 
                    <div class="clear"></div>  
               </div><!-- services-wrap-->            
            </div><!-- container -->
       </section>          	      
<?php } ?>

<?php $hideftr = get_theme_mod('disabled_ftrpage', '1'); ?>
	  <?php if($hideftr == ''){ ?>  
       <section id="featureswrap">
         <div class="container">
             <div class="ftrarea"> 
               <?php if( get_theme_mod('features_page')) { ?>
                    <?php $queryvar = new WP_query('page_id='.absint(get_theme_mod('features_page' ,true)) ); ?>
                    <?php while( $queryvar->have_posts() ) : $queryvar->the_post();?>  
                    		<?php if(has_post_thumbnail() ) { ?>
                                  <div class="pagethumbbox"><a href="<?php the_permalink(); ?>"><?php the_post_thumbnail();?></a></div>
                             <?php } ?>                        
                            <h3><?php the_title(); ?></h3>                            
                            <?php the_excerpt(); ?>
                            <a class="pagebutton" href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','unifield'); ?></a>
                       
						<?php endwhile;
						wp_reset_postdata(); ?>                      
              <?php } ?>             
             </div>
           <div class="clear"></div>
       </div><!-- .container -->
    </section><!-- #featureswrap -->
<?php } ?> 
<?php } ?>